Method: networks.partners.list

Lists Partner objects.

HTTP request

GET https://admanager.googleapis.com/v1/{parent}/partners

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of Partners. Format: networks/{networkCode}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of Partners to return. The service may return fewer than this value. If unspecified, at most 50 Partners will be returned. The maximum value is 1000; values greater than 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous [partners.list][] call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to [partners.list][] must match the call that provided the page token.

filter

string

Optional. Expression to filter the response. See syntax details at https://developers.google.com/ad-manager/api/beta/filters

Filterable fields:

  • address
  • comment
  • creditStatus
  • displayName
  • email
  • externalId
  • fax
  • name
  • phone
orderBy

string

Optional. Expression to specify sorting order. See syntax details at https://developers.google.com/ad-manager/api/beta/filters#order

skip

integer

Optional. Number of individual resources to skip while paginating.

Request body

The request body must be empty.

Response body

Response object for ListPartnersRequest containing matching Partner objects.

If successful, the response body contains data with the following structure:

JSON representation
{
  "partners": [
    {
      object (Partner)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
partners[]

object (Partner)

The Partner objects from the specified network.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

totalSize

integer

Total number of Partner objects. If a filter was included in the request, this reflects the total number after the filtering is applied.

totalSize won't be calculated in the response unless it has been included in a response field mask. The response field mask can be provided to the method by using the URL parameter $fields or fields, or by using the HTTP/gRPC header X-Goog-FieldMask.

For more information, see https://developers.google.com/ad-manager/api/beta/field-masks

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/admanager
  • https://www.googleapis.com/auth/admanager.readonly

For more information, see the OAuth 2.0 Overview.